##---------------------------------------------------------------------------------------------------
import bpy
from .operators import ExportFTL


##---------------------------------------------------------------------------------------------------
def menu_func_export(self, context):
    self.layout.operator(ExportFTL.bl_idname, text="3dverse (.ftl)")

##---------------------------------------------------------------------------------------------------
def register():
    bpy.utils.register_class(ExportFTL)
    bpy.types.TOPBAR_MT_file_export.append(menu_func_export)


##---------------------------------------------------------------------------------------------------
def unregister():
    bpy.types.TOPBAR_MT_file_export.remove(menu_func_export)
    bpy.utils.unregister_class(ExportFTL)

##---------------------------------------------------------------------------------------------------
# This is necessary if you want to work on the add on (as a script) directly in the Blender text editor. 
# The following code won’t run when the script is imported as a module since __main__ is reserved for direct execution.
if __name__ == "__main__":
    register()
    bpy.ops.object.ftl_converter()
