from enum import Enum


##---------------------------------------------------------------------------------------------------
class ElementType(Enum):
    ##-----------------------------------------------------------------------------------------------
    SIGNED   = 1
    UNSIGNED = 1
    FLOAT    = 2
    
##---------------------------------------------------------------------------------------------------
class ChannelDescription:
    ##-----------------------------------------------------------------------------------------------
    def __init__(
        self, data_offset = 0, data_size = 0, element_count = 0,
        element_size = 2, element_type = 1, semantic = 'invalid',
        ):
        self.data_offset     = data_offset
        self.data_size       = data_size
        self.element_count   = element_count
        self.element_size    = element_size
        self.element_type    = element_type
        self.semantic        = semantic

    ##-----------------------------------------------------------------------------------------------
    def get_channel_dict(self):
        channel_data = {}
        channel_data["dataOffset"]  = self.data_offset
        channel_data["dataSize"]    = self.data_size
        channel_data["elementCount"]= self.element_count
        channel_data["elementSize"] = self.element_size
        channel_data["elementType"] = self.element_type
        channel_data["semantic"]    = self.semantic
        return channel_data
    